Create Video Job
curl --request POST \
--url https://api.opennote.com/v1/video/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "picasso",
"messages": [
{
"content": "<string>"
}
],
"include_sources": false,
"search_for": "<string>",
"source_count": 3,
"length": 3,
"script": "<string>",
"upload_to_s3": false,
"title": "",
"webhook_url": "<string>"
}
'import requests
url = "https://api.opennote.com/v1/video/create"
payload = {
"model": "picasso",
"messages": [{ "content": "<string>" }],
"include_sources": False,
"search_for": "<string>",
"source_count": 3,
"length": 3,
"script": "<string>",
"upload_to_s3": False,
"title": "",
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'picasso',
messages: [{content: '<string>'}],
include_sources: false,
search_for: '<string>',
source_count: 3,
length: 3,
script: '<string>',
upload_to_s3: false,
title: '',
webhook_url: '<string>'
})
};
fetch('https://api.opennote.com/v1/video/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"video_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}API Reference
Create Video Job
POST
/
v1
/
video
/
create
Create Video Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for creating a video generation job.
The model to use for the video generation
The messages that will be used to generate the video script
Show child attributes
Show child attributes
Whether to gather data from the web to help with the video script
The query to search the web for
Maximum string length:
100The number of sources to gather from the web
Required range:
1 <= x <= 5The number of paragraphs to generate for the video script
Required range:
1 <= x <= 5The script to use for the video, with sections delimited by '-----'
Maximum string length:
6000Whether to upload the video to S3
The title of the video, if you want to provide one
The Webhook URL to send the video completion response to
Was this page helpful?
⌘I

